%define upstream_name    IO-Interactive
%define upstream_version 1.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utilities for interactive I/O
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(version) >= 0.780.0
BuildArch:  noarch

%description
This module provides three utility subroutines that make it easier to
develop interactive applications...

* 'is_interactive()'

  This subroutine returns true if '*ARGV' and the currently selected
  filehandle (usually '*STDOUT') are connected to the terminal. The test is
  considerably more sophisticated than:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.21.0-3pclos2017
- rebuild against updates

